package com.hzya.frame.plugin.grpU8.glpzml.plugin;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.base.PluginBaseEntity;
import com.hzya.frame.grpU8.nxproof.glPzml.service.ISenderGlPzmlService;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

public class GlPzmlCancelledPluginInitializer  extends PluginBaseEntity {
    Logger logger = LoggerFactory.getLogger(GlPzmlCancelledPluginInitializer.class);

    @Autowired
    private ISenderGlPzmlService senderGlPzmlService;

    @Override
    public void initialize() {
        logger.info(getPluginLabel() + "執行初始化方法initialize()");
    }

    @Override
    public void destroy() {
        logger.info(getPluginLabel() + "執行銷毀方法destroy()");
    }

    @Override
    public String getPluginId() {
        return "GlPzmlCancelledPlugin";
    }

    @Override
    public String getPluginName() {
        return "GlPzmlCancelledPlugin插件";
    }

    @Override
    public String getPluginLabel() {
        return "GlPzmlCancelledPlugin";
    }

    @Override
    public String getPluginType() {
        return "1";
    }
    @Override
    public JsonResultEntity executeBusiness(JSONObject requestJson) {
        try {
            JSONObject jsonObject=new JSONObject();
            jsonObject.put("dataSourceCode",requestJson.getString("sourceCode"));
            JSONObject jsonStr=new JSONObject();
            jsonStr.put("jsonStr",jsonObject);
            logger.info("=======开始执行查询商学院已作废凭证=========");
            Object o = senderGlPzmlService.queryGlPzmlSxyCancelled(jsonStr);
            String jsonString = JSON.toJSONString(o);
            logger.info("=======执行查询商学院已作废完毕，结果为:{}=========",jsonString);
        }catch (Exception e){
            logger.info("===查询商学院已作废失败:{}===",e.getMessage());
            e.printStackTrace();
        }
        return null;
    }
}
